### Method

# AppStreamCompose Result add_hint

#### Declaration [src]

    gboolean
    asc_result_add_hint (
      AscResult* result,
      AsComponent* cpt,
      const gchar* tag,
      const gchar* key1,
      ...
    )

#### Description [src]

Add an issue hint for a component.

This method is not directly available to language bindings.

The implementation of this method is provided by `asc_result_add_hint_v()` in language bindings.

#### Parameters

`cpt`

  Type: `AsComponent`

  The affected `AsComponent`.

  The data is owned by the caller of the method.

`tag`

  Type: `const gchar*`

  AppStream Compose Issue hint tag.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`key1`

  Type: `const gchar*`

  First key to add a value for, or `NULL`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Replacement keys and values for the issue explanation, terminated by `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if the added hint did not cause the component to be invalidated.